ACL_GET_TAG_TYPE(3)

NAME
acl_get_tag_type - get the tag type of an ACL entry

LIBRARY
Linux Access Control Lists library (libacl, -lacl).

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
int
acl_get_tag_type(acl_entry_t entry_d, acl_tag_t *tag_type_p);

DESCRIPTION
The acl_get_tag_type() function assigns to the value pointed to by tag_type_p the tag type for the ACL entry indicated by the argument entry_d.

The argument entry_d and any other ACL entry descriptors that refer to entries in the same ACL continue to refer to those entries. The order of all existing entries in the ACL remain unchanged.

RETURN VALUE

ERRORS
If any of the following conditions occur, the acl_get_tag_type() function returns -1 and sets errno to the corresponding value:

[EINVAL]
    The argument entry_d is not a valid descriptor for an ACL entry.

STANDARDS
IEEE Std 1003.1e draft 17 (“POSIX.1e”, abandoned)

SEE ALSO
acl_create_entry(3), acl_get_entry(3), acl_get_permset(3), acl_get_qualifier(3), acl_set_permset(3), acl_set_qualifier(3), acl_set_tag_type(3), acl(5)

AUTHOR
Derived from the FreeBSD manual pages written by Robert N M Watson <rwatson@FreeBSD.org>, and adapted for Linux by Andreas Gruenbacher <andreas.gruenbacher@gmail.com>.